#include <iostream>

using namespace std;

int main()
{
int A,B,C,D,E;
cin>>A>>B>>C>>D>>E;
if (E*E>=A*A+B*B+C*C+D*D)
{
cout<<"1";
return 0;
}
else
{
if ((A*A+B*B+C*C+D*D)%(E*E)==0)
{
cout<<(A*A+B*B+C*C+D*D)/(E*E);
}
else
{
cout<<((A*A+B*B+C*C+D*D)/(E*E))+1;
}
}
return 0;
}
